%global momorel 1
%global md5sum_src0 dcdb2205cf0c61394419e015c7548df1

%global gsmainver 7
%global gsver %{gsmainver}.07

Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
Version: 3.6.2
Release: %{momorel}m
License: GPL
Group: Applications/Publishing
URL: http://www.gnu.org/software/gv/
Requires: ghostscript
%NoSource 0 ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: %{name}.png
Patch8: gv-3.6.1-pkglibdir.patch
Patch10: gv-3.6.2-ja.patch
### Patches from Gentoo 
### http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-text/gv
Patch20: gv-3.6.1-gentoo_a0.patch
# gentoo bug #121849
Patch21: gv-3.6.1-gentoo_fixedmedia.patch
# gentoo bug #135384
Patch22: gv-3.6.2-gentoo-update.patch
### Patches from Debian
### http://ftp.debian.org/debian/pool/main/g/gv/gv_3.6.2-2.diff.gz
# debian/patches/manual-whatis
Patch31: gv-3.6.2-debian-manual-whatis.patch
# debian/patches/texinfo-dircategory
Patch32: gv-3.6.2-debian-texinfo-dircategory.patch
# security fix for CVE-2006-5864
# debian/patches/398292-CVE-2006-5864
Patch33: gv-3.6.2-CVE-2006-5864.patch
Obsoletes: ghostview
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: Xaw3d-devel >= 1.5 sed

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q
%patch8 -p1 -b .pkglibdir
# Japanese resource
%patch10 -p1 -b .ja
# from gentoo
%patch20 -p1 -b .size
(cd src
%patch21 -p1 -b .fixedmedia
)
%patch22 -p0 -b .update
# from debian
%patch31 -p1 -b .debian
%patch32 -p1 -b .debian
# CVE-2006-5864
%patch33 -p1 -b .overflow

%if "%{gsmainver}" == "8"
# for better font rendering
# gentoo bug #135354
# Make font render nicely even with gs-8, bug 135354
sed -i -e "s:-dGraphicsAlphaBits=2:\0 -dAlignToPixels=0:" \
    src/{gv_{class,user,system}.ad,Makefile.{am,in}}
%endif

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/gv.desktop <<EOF
[Desktop Entry]
Name=GNU gv
GenericName=PostScript/PDF Viewer
Type=Application
Icon=gv.png
Exec=gv
Categories=Graphics;
EOF

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

ln -sf gv %{buildroot}/%{_bindir}/ghostview
rm -f %{buildroot}/%{_infodir}/dir

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun
if [ $1 = 0 ]; then
    /usr/bin/update-mime-database /usr/share/mime > /dev/null 2>&1 || :
    /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog COPYING NEWS
%{_bindir}/gv
%{_bindir}/ghostview
%{_datadir}/gv/*
%{_mandir}/man1/gv.*
%{_datadir}/applications/gv.desktop
%{_datadir}/pixmaps/gv.png
%{_infodir}/gv.info.bz2
%{_datadir}/X11/app-defaults/GV
%{_datadir}/X11/ja/app-defaults/GV


%changelog
* Wed Nov 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.2-1m)
- update to 3.6.2
- - update japanese.patch (gv-3.6.2-ja.patch)
- import some patches from Gentoo
- - gv-3.6.1-gentoo_a0.patch
- - gv-3.6.2-gentoo-update.patch
- - gv-3.6.1-gentoo_fixedmedia.patch
- import some patches from Debian including a patch for CVE-2006-5864
- - gv-3.6.2-CVE-2006-5864.patch
- - gv-3.6.2-debian-manual-whatis.patch
- - gv-3.6.2-debian-texinfo-dircategory.patch


* Fri May 05 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-2m)
- revival of Japanese messages in menu (gv-3.6.1-ja.patch, gv-3.6.1-rewind_resource.patch)

* Sun Mar 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.6.1-1m)
- update to 3.6.1
- sync FC extra
 
* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.8-19m)
- revise for xorg-7.0
- change install dir

* Thu Feb 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.8-18m)
- move gv.desktop to %%{_datadir}/applications/
- update gv.desktop
- import Source1: gv.png from cooker

* Tue Oct 19 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.5.8-17m)
- add patch7 for gcc 3.4
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Sun Aug 29 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.5.8-16m)
- edit spec to include /etc/X11/app-defaults/GV

* Tue Oct 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.5.8-15m)
- [security] add gv-3.5.8-buffer.patch that fixes the
  following vulnerability.
    https://rhn.redhat.com/errata/RHSA-2002-207.html
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0838

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (3.5.8-14k)
- jitterbug #985. very very ditry.

* Fri Jul 14 2000 AYUHANA Tomonori <l@kondara.org>
- (3.5.8-10k)
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5, Xaw3d-1.5

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat0-6.2 (3.5.8-9).

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Jan 31 2000 Norihito Ohmori <nono@kondara.org>
- Support hangul (locale: ko_KR.eucKR).

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Nov 2 1999 Norihito Ohmori <nono@kondara.org>
- I18N-mb.patch build bug fix.

* Sat Oct 29 1999 Norihito Ohmori <nono@kondara.org>
- rebuild for Kondara.

* Tue Oct 12 1999 Norihito Ohmori <ohmori@flatout.org>
- change papersize Letter -> A4

* Tue Oct 12 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp>
- (Vine)adjust font settings and some Japanese messages
- added I18N patch (by Daisuke Suzuki)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
